## EXPORT_SPEC int UpnpGetServiceVarStatusAsync

## ( IN UpnpClient_Handle Hnd,
IN const char* ActionURL,
IN const char* VarName,
IN Upnp_FunPtr Fun,
IN const void* Cookie )

> UpnpGetServiceVarStatusAsync queries the state of a variable of a service, generating a callback when the operation is complete.

## Documentation

> UpnpGetServiceVarStatusAsync queries the state of a variable of a service, generating a callback when the operation is complete. Note that the use of this function is deprecated by the UPnP Forum.

Parameters:
  Hnd - The handle of the control point.
  ActionURL - The URL of the service.
  VarName - The name of the variable to query.
  Fun - Pointer to a callback function to be invoked when the operation is complete.
  Cookie - Pointer to user data to pass to the callback function when invoked.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid control point handle.
  - `UPNP_E_INVALID_URL`: The ActionUrl is not a valid URL.
  - `UPNP_E_INVALID_PARAM`: VarName, Fun or ActionUrl is not a valid pointer.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.